//
// Created by scoliono on 10/14/23.
//

#ifndef FEMMAPS_SIGALERTMAPPROVIDER_H
#define FEMMAPS_SIGALERTMAPPROVIDER_H

#include "MapProvider.h"
#include "SigalertRoad.h"
#include "../include/json.hpp"

class SigalertMapProvider : public MapProvider {

public:
    SigalertMapProvider();
    void refreshData();
    void roadSections();
    void roads();

private:
    void populateRoads();
    std::map<int, SigalertRoad> m_roads;

};


#endif //FEMMAPS_SIGALERTMAPPROVIDER_H
